J3.x

J3.x: Advertencias de PHP en PHP 7.0.9

From Joomla! Documentation

Revision as of 10:54, 31 July 2016 by Shaz (talk | contribs) (Created page with "Aplicar:")
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎español • ‎français
Joomla! 
3.6.0

Errores reportados

Warning: Parameter 1 to JError::customErrorPage() expected to be a reference, value given in JROOT\libraries\legacy\error\error.php on line 781

PHP Warning: Parameter 1 to PlgSystemRedirect::handleError() expected to be a reference, value given in JROOT/libraries/legacy/error/error.php on line 781

Versiones afectadas

Información general

Esto se refiere solo a las siguientes versiones de Joomla!: 3.6.0

¿Cuál es la causa?

Un cambio de no retrocompatibilidad en PHP 7.0.9 que será devuelto en 7.0.10 (ver: https://bugs.php.net/bug.php?id=72698)

Cómo solucionarlo

Aplicar: https://github.com/joomla/joomla-cms/pull/11360 or wait for 3.6.1